%define name	snd
%define version 8.3
%define release %mkrel 1

Name: 		%{name}
Summary: 	Audio file editor
Version: 	%{version}
Release: 	%{release}

Source0:	ftp://ccrma-ftp.stanford.edu/pub/Lisp/%{name}-%{version}.tar.bz2
URL:		http://www-ccrma.stanford.edu/software/snd/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gsl-devel ladspa-devel xpm-devel guile-devel
BuildRequires:	libgamin-devel
BuildRequires:	fftw-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	MesaGLU-devel
BuildRequires:	gtk2-devel

%description
Snd is a free sound editor modelled loosely after Emacs and an old,
sorely-missed PDP-10 sound editor named Dpysnd.

%prep
%setup -q -n %{name}-8

%build
%configure2_5x	--with-ladspa \
		--with-gsl \
		--with-gl \
		--with-alsa \
		--with-gtk \
		--with-midi
%make
make sndplay sndrecord sndinfo
# fixme: make audinfo
										
%install
rm -rf $RPM_BUILD_ROOT
# stupid hack, sorry, I'm lazy
cp mkinstalldirs ..
%{makeinstall}
cp sndplay sndrecord sndinfo $RPM_BUILD_ROOT%{_bindir}
# cp sndsine $RPM_BUILD_ROOT/%_bindir
%find_lang %{name}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="Snd" longtitle="Audio file editor" section="Multimedia/Sound" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Totem
Comment=%{summary}
Exec=%{_bindir}/%{name} %U
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Audio;AudioVideoEditing;X-MandrivaLinux-Multimedia-Sound;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README.Snd TODO.Snd HISTORY.Snd tutorial
%{_bindir}/*
%{_datadir}/applications/*
%{_menudir}/%{name}
%{_mandir}/*/*

%changelog
* Sun Aug 13 2006 Austin Acton <austin@mandriva.org> 8.3-1mdv2007.0
- 8.3
- xdg

* Mon Jun 26 2006 Austin Acton <austin@mandriva.org> 8.2-1mdk
- New release 8.2

* Tue May 09 2006 Lenny Cartier <lenny@mandriva.com> 8.1-1mdk
- 8.1

* Wed Mar 29 2006 Austin Acton <austin@mandriva.org> 8-1mdk
- 8
- source URL
- enable MIDI
- change audio from OSS to ALSA
- change GUI toolkit from motif to GTK (YAY!)

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 7.18-1mdk
- 7.18

* Wed Jan 11 2006 Austin Acton <austin@mandriva.org> 7.17-1mdk
- 7.17

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 7.14-1mdk
- 7.14

* Tue Apr 26 2005 Austin Acton <austin@mandriva.org> 7.12-1mdk
- 7.12

* Tue Feb 22 2005 Lenny Cartier <lenny@mandrakesoft.com> 7.10-1mdk
- 7.10

* Wed Jan 5 2005 Austin Acton <austin@mandrake.org> 7.9-1mdk
- 7.9

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.8-1mdk
- 7.8

* Wed Jun 30 2004 Austin Acton <austin@mandrake.org> 7.5-1mdk
- 7.5
- configure 2.5
- disable sndsine for now, no time to fix

* Mon May 17 2004 Austin Acton <austin@mandrake.org> 7.4-1mdk
- 7.4

* Fri Jan 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.2-1mdk
- 7.2

* Fri Dec 26 2003 Franck Villaume <fvill@freesurf.fr> 7-2mdk
- add BuildRequires : MesaGLU-devel

* Sat Dec 13 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7-1mdk
- 7
- fix buildrequires (lib64..)
- --with-gl

* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 6.11-1mdk
- 6.11

* Mon Jun 30 2003 Austin Acton <aacton@yorku.ca> 6.8-1mdk
- 6.8

* Wed May 7 2003 Austin Acton <aacton@yorku.ca> 6.7-1mdk
- 6.7

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 6.6-1mdk
- initial package
